clang-tools 10.0.0

Classes | Namespaces | Macros | Functions
Logger.h File Reference
`#include "llvm/ADT/Twine.h"`
`#include "llvm/Support/Debug.h"`
`#include "llvm/Support/Error.h"`
`#include "llvm/Support/FormatAdapters.h"`
`#include "llvm/Support/FormatVariadic.h"`
`#include <mutex>`
Include dependency graph for Logger.h:

Go to the source code of this file.

## Classes
class | clang::clangd::Logger
| Interface to allow custom logging in clangd. More...
class | clang::clangd::LoggingSession
| Only one LoggingSession can be active at a time. More...
class | clang::clangd::StreamLogger

## Namespaces
| clang
| ===– Representation.cpp - ClangDoc Representation --------—*- C++ -*-===//
| clang::clangd
| clang::clangd::detail

## Macros
#define | dlog(...)

## Functions
const char * | clang::clangd::detail::debugType (const char *Filename)
void | clang::clangd::detail::log (Logger::Level, const llvm::formatv_object_base &)
template<typename T >
T && | clang::clangd::detail::wrap (T &&V)
decltype(fmt_consume(llvm::Error::success())) | clang::clangd::detail::wrap (llvm::Error &&V)
template<typename... Ts>
void | clang::clangd::detail::log (Logger::Level L, const char *Fmt, Ts &&... Vals)
template<typename... Ts>
void | clang::clangd::elog (const char *Fmt, Ts &&... Vals)
template<typename... Ts>
void | clang::clangd::log (const char *Fmt, Ts &&... Vals)
template<typename... Ts>
void | clang::clangd::vlog (const char *Fmt, Ts &&... Vals)

## Macro Definition Documentation

## ◆ dlog

#define dlog | ( |  | ... | ) |

Value:
DEBUG_WITH_TYPE(::clang::clangd::detail::debugType(__FILE__), \
::clang::clangd::detail::log(Logger::Debug, __VA_ARGS__))
clang::clangd::detail::log
void log(Logger::Level, const llvm::formatv_object_base &)
Definition: Logger.cpp:30
clang::clangd::detail::debugType
const char * debugType(const char *Filename)
Definition: Logger.cpp:41

Definition at line 72 of file Logger.h.

Referenced by clang::clangd::allTargetDecls(), clang::clangd::FileDistance::distance(), and clang::clangd::URIDistance::distance().